Index: channels/sig_pri.c
===================================================================
--- channels/sig_pri.c	(revision 416250)
+++ channels/sig_pri.c	(working copy)
@@ -7364,7 +7370,7 @@
 					 * because it will mess up ISDN to SIP interoperability for
 					 * the ALERTING message.
 					 */
-					&& (e->setup_ack.progressmask & PRI_PROG_INBAND_AVAILABLE)
+					&& ((e->setup_ack.progressmask & PRI_PROG_INBAND_AVAILABLE) || pri->alwayssendprogress)
 #endif	/* defined(HAVE_PRI_SETUP_ACK_INBAND) */
 					) {
 					/*
Index: channels/chan_dahdi.c
===================================================================
--- channels/chan_dahdi.c	(revision 416250)
+++ channels/chan_dahdi.c	(working copy)
@@ -12917,6 +13024,9 @@
 						pris[span].pri.minunused = conf->pri.pri.minunused;
 						pris[span].pri.minidle = conf->pri.pri.minidle;
 						pris[span].pri.overlapdial = conf->pri.pri.overlapdial;
+#if defined(HAVE_PRI_SETUP_ACK_INBAND)
+						pris[span].pri.alwayssendprogress = conf->pri.pri.alwayssendprogress;
+#endif
 						pris[span].pri.qsigchannelmapping = conf->pri.pri.qsigchannelmapping;
 						pris[span].pri.discardremoteholdretrieval = conf->pri.pri.discardremoteholdretrieval;
 #if defined(HAVE_PRI_SERVICE_MESSAGES)
@@ -18194,6 +18747,10 @@
 				} else {
 					confp->pri.pri.overlapdial = DAHDI_OVERLAPDIAL_NONE;
 				}
+#if defined(HAVE_PRI_SETUP_ACK_INBAND)
+			} else if (!strcasecmp(v->name, "alwayssendprogress")) {
+				confp->pri.pri.alwayssendprogress = ast_true(v->value);
+#endif
 #ifdef HAVE_PRI_PROG_W_CAUSE
 			} else if (!strcasecmp(v->name, "qsigchannelmapping")) {
 				if (!strcasecmp(v->value, "logical")) {
Index: channels/sig_pri.h
===================================================================
--- channels/sig_pri.h	(revision 416250)
+++ channels/sig_pri.h	(working copy)
@@ -429,6 +430,9 @@
 	struct ast_cc_config_params *cc_params;			/*!< CC config parameters for each new call. */
 	int	pritimers[PRI_MAX_TIMERS];
 	int overlapdial;								/*!< In overlap dialing mode */
+#if defined(HAVE_PRI_SETUP_ACK_INBAND)
+	int alwayssendprogress;
+#endif
 	int qsigchannelmapping;							/*!< QSIG channel mapping type */
 	int discardremoteholdretrieval;					/*!< shall remote hold or remote retrieval notifications be discarded? */
 	int facilityenable;								/*!< Enable facility IEs */
